# $Revision: 1.40.2.4 $, $Date: 2007/10/20 16:15:32 $
#
# TODO: register glade-2.0.dtd
# TODO: consider moving libglade-convert to main package - it is used to converting old 
# 	1.2.x version *.glade files to current structure.
Summary:	libglade library
Summary(es):	El libglade permite que usted cargue archivos del interfaz del glade
Summary(pl):	Biblioteka do adowania definicji interfejsu generowanego programem glade
Summary(pt_BR):	Esta biblioteca permite carregar arquivos da interface glade
Name:		libglade2
Version:	2.6.0
Release:	3
Epoch:		1
License:	LGPL
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libglade/2.6/libglade-%{version}.tar.bz2
# Source0-md5:	81d7b2b64871ce23a5fae1e5da0b1f6e
URL:		http://www.gnome.org/
BuildRequires:	atk-devel >= 1:1.9.1
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.6.4
BuildRequires:	gtk-doc >= 1.6
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.26
BuildRequires:	pkgconfig
BuildRequires:	python >= 2.0
BuildRequires:	python-modules >= 2.0
BuildRequires:	rpmbuild(macros) >= 1.197
Requires:	FHS >= 2.3-16
Requires:	atk >= 1:1.9.1
Requires:	python-modules >= 2.0
Obsoletes:	libglade2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library allows you to load user interfaces in your program, which
are stored externally. This allows alteration of the interface without
recompilation of the program. The interfaces can also be edited with
GLADE.

%description -l es
El libglade permite que usted cargue archivos del interfaz del glade
en tiempo de ejecucin.

%description -l pl
Biblioteka libglade umoliwia dynamiczne adowanie definicji
interfejsu uytkownika generowanego za pomoc programu glade. Taka
separacja definicji interfejsu umoliwia prac nad nim bez
koniecznoci rekompilacji programu.

%description -l pt_BR
O libglade permite carregar, em tempo de execuo, arquivos da
interface glade. No  necessrio ter o glade instalado, mas esta  a
melhor maneira de criar os arquivos de interface.

%package devel
Summary:	Header files and developer's documentation
Summary(es):	Archivos necesarios para el desarrollo de aplicaciones con libglade
Summary(pl):	Pliki nagwkowe i dokumentacja dla programisty
Summary(pt_BR):	Arquivos necessrios para o desenvolvimento de aplicaes com a interface glade
Group:		X11/Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	gtk+2-devel >= 2:2.6.4
Requires:	gtk-doc-common
Requires:	libxml2-devel
Obsoletes:	libglade2.0-devel

%description devel
Header files and developer's documentation for libglade.

%description devel -l es
Archivos de inclusin y bibliotecas necesarias para el desarrollo de
aplicaciones con glade.

%description devel -l pl
Pliki nagwkowe i dokumentacja dla programisty libglade.

%description devel -l pt_BR
Arquivos de incluso e bibliotecas para o desenvolvimento de
aplicaes com a interface glade.

%package static
Summary:	Static libglade library
Summary(es):	Archivos estticos necesarios para el desarrollo de aplicaciones con libglade
Summary(pl):	Biblioteka statyczna libglade
Summary(pt_BR):	Arquivos estticos necessrios para o desenvolvimento de aplicaes com a interface glade
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libglade library.

%description static -l es
Archivos estticos necesarias para el desarrollo de aplicaciones con
glade.

%description static -l pl
Biblioteka statyczna libglade.

%description static -l pt_BR
Bibliotecas estticas para o desenvolvimento de aplicaes com a
interface glade.

%prep
%setup -q -n libglade-%{version}

%build
%{__gtkdocize}
%{__libtoolize}
%{__glib_gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--enable-gtk-doc \
	--with-html-path=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/libglade/2.0

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	HTML_DIR=%{_gtkdocdir} \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_libdir}/libglade
%dir %{_datadir}/xml/libglade
%{_datadir}/xml/libglade/*.dtd

%files devel
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_pkgconfigdir}/*
%{_includedir}/libglade-*
%{_gtkdocdir}/libglade

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libglade2.spec,v $
Revision 1.40.2.4  2007/10/20 16:15:32  glen
- rel 3

Revision 1.40.2.3  2006/11/19 22:48:03  glen
- merge with HEAD

Revision 1.40.2.2  2006/08/02 18:54:47  freetz
- 2.6.0

Revision 1.40.2.1  2006/05/12 18:31:23  baggins
- merged from HEAD

Revision 1.47  2006/03/19 21:31:33  freetz
- rel.5

Revision 1.46  2005/05/14 13:08:08  matkor
- TODO added.

Revision 1.45  2005/05/10 23:01:21  pluto
- release 4 for Th.

Revision 1.44  2005/04/12 21:59:46  qboosh
- /sbin/ldconfig deps for post* -p are autogenerated

Revision 1.43  2005/04/12 19:23:21  freetz
- reversed ldconfig changes

Revision 1.42  2005/04/12 10:06:47  paladine
- removed redundant BR: glib2-devel and bumped BRs

Revision 1.41  2005/04/10 16:49:48  freetz
- new style macros, rel.3

Revision 1.40  2005/03/28 03:12:05  qboosh
- requires atk 1.9.0 at runtime; release 2

Revision 1.39  2005/03/07 23:36:16  paladine
- merged from DEVEL

Revision 1.38  2005/02/11 22:36:32  paladine
- updated to 2.4.2, STBR

Revision 1.37.2.3  2005/02/13 17:12:42  aflinta
- added epoch to required atk version

Revision 1.37.2.2  2005/02/11 17:04:11  grzegol
- updated to 2.5.1

Revision 1.37.2.1  2005/02/06 20:39:23  grzegol
- updated to 2.5.0

Revision 1.37  2004/12/23 11:21:29  saq
- missing BR
- release 4

Revision 1.36  2004/12/23 11:09:56  havner
- rel 3, wrr

Revision 1.35  2004/12/23 09:28:11  havner
- rel 2 for python rebuild

Revision 1.34  2004/12/20 12:46:01  zbyniu
- BR: pkgconfig

Revision 1.33  2004/11/29 16:54:19  grzegol
- updated to 2.4.1

Revision 1.32  2004/10/27 09:12:47  qboosh
- use rpmbuild(macros) dep for _gtkdocdir, depend on stable glib2/gtk+2

Revision 1.31  2004/08/16 09:03:31  krzak
- rel 2 - rebuild with new XFree86

Revision 1.30  2004/05/17 21:16:30  freetz
- 2.4.0

Revision 1.29  2004/04/01 12:09:50  qboosh
- merged DEVEL (2.3.6 is in GNOME 2.6)

Revision 1.28  2003/11/25 23:43:55  krzak
- tooltip.patch (http://bugzilla.gnome.org/show_bug.cgi?id=101459)
- rel 6

Revision 1.27.2.4  2004/03/10 11:38:41  grzegol
- updated to 2.3.6
- added BR: atk-devel, python-modules and R: python-modules
- uncommented lt/gettext/al/ac/am regeneration
- strict internal deps

Revision 1.27.2.3  2004/01/14 09:54:26  wiget
- 2.3.2

Revision 1.27.2.2  2003/11/14 14:52:12  wiget
- 2.3.1

Revision 1.27.2.1  2003/11/14 09:55:37  wiget
- 2.3.0 snap 20031114

Revision 1.27  2003/07/11 06:17:16  wrobell
- think!

Revision 1.26  2003/07/10 17:46:07  krzak
- BR: xrender-devel

Revision 1.25  2003/06/26 13:45:43  qboosh
- release 5

Revision 1.24  2003/06/21 11:39:02  jareq
- fixed epoch:version issue

Revision 1.23  2003/06/13 18:32:50  mwinkler
- small url fix

Revision 1.22  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.21  2003/05/25 05:49:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2003/02/21 17:30:07  qboosh
- added %%{_datadir}/xml dir to package - it's the only package that uses it
  (but shouldn't it be moved to some libxml?)

Revision 1.19  2002/12/04 19:13:10  aflinta
- moved from /usr/X11R6 to /usr, _gtkdocdir is now in rpm macros, release 4

Revision 1.18  2002/11/25 14:16:53  ankry
- massive attack: no need for 755 for *.la

Revision 1.17  2002/10/24 09:32:11  malekith
- release 3

Revision 1.16  2002/10/10 13:20:09  trojan
- fixed for properly documentation building
- added BR: gtk-doc >= 0.9-4
- fixed source URL
- fixed %%files

Revision 1.15  2002/10/09 13:14:37  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.14  2002/09/09 10:47:56  kura
- release 2

Revision 1.13  2002/08/30 19:45:55  kloczek
- added libglade2.0{,-devel} to Obsoletes for allow upgrade from MDK.

Revision 1.12  2002/08/29 22:21:45  aflinta
- updated to version 2.0.1

Revision 1.11  2002/07/02 12:44:36  ankry
- Requires gtk-doc-common for -devel subpackage
- release 2

Revision 1.10  2002/06/23 20:32:30  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.9  2002/06/10 12:09:13  wiget
- updated to 2.0.0
- fix gettextizing
- add %{_libdir}/libglade/2.0 to package
- gtk-doc in proper place
- new %%doc

Revision 1.8  2002/05/21 23:13:46  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.7  2002/05/12 13:36:16  kloczek
- updated to 1.99.12,
- removed outdated nogtkdoc patch.

Revision 1.6  2002/04/30 13:26:45  michuz
- typo

Revision 1.5  2002/04/30 13:24:55  michuz
- 1.9.11

Revision 1.4  2002/04/25 08:26:50  kloczek
- updated to 1.99.10.

Revision 1.3  2002/04/18 21:39:41  misiek
- disable gtk-doc (it's broken)

Revision 1.2  2002/04/12 20:36:44  marcus
- added --disable-gtk-doc to %%configure
- rel.2.

Revision 1.1  2002/03/11 11:25:20  misiek
- initial pld release
